VMTKIMAGECAST(1)

NAME
vmtkimagecast - vmtk script vmtkimagecast

DESCRIPTION
Automatic piping vmtkimagecast Parsing options vmtkimagecast

vmtkimagecast : cast an image to a specified type

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-type OutputType (str,1) in ['float', 'double', 'uchar', 'short'];

    default=float: the output image type

-shiftscale ShiftScale (int,1); default=1: shift scale values to

    fit windowlevel

-windowlevel WindowLevel (float,2); default=[0.0, 0.0]: window and

    level for value mapping

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image